stu-cmd_leader.css 10 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509
  1. body {
  2. --mc: #03AEBC;
  3. --tc: #36536D;
  4. --brc: #80BAEF;
  5. --bgc: #e9f2fd;
  6. --bg: rgba(255,255,255,0.4);
  7. font-family: "Source Han Sans";
  8. }
  9. .box .box-header {
  10. display: flex;
  11. height: 35px;
  12. width: 100%;
  13. /*background: linear-gradient(90deg,#b2d9f5,#c2d8f4);*/
  14. background: linear-gradient(90deg, rgba(82, 197, 233, 0.411765) 0%, rgba(59, 221, 243, 0.12549) 35.99%, rgba(67, 219, 252, 0.00784314) 87.02%);
  15. box-shadow: inset 0px -2px 4px rgba(117, 185, 248, 0.52);
  16. border-bottom: 1px solid rgba(98, 156, 215, 0.05);
  17. position: relative;
  18. }
  19. .box .box-header .title {
  20. --w: 47px;
  21. display: flex;
  22. position: relative;
  23. height: 100%;
  24. padding-left: 5px;
  25. margin-left: var(--w);
  26. font-size: 18px;
  27. font-weight: 600;
  28. color: #094B88;
  29. align-items: center;
  30. }
  31. .box .box-header .title:before {
  32. content: "";
  33. position: absolute;
  34. left: calc(1px - var(--w));
  35. height: 100%;
  36. width: var(--w);
  37. background: url("/Content/Image/ExerciseV2/title_icon.svg") no-repeat;
  38. background-size: 100% 100%;
  39. }
  40. .box {
  41. width: 100%;
  42. position: relative;
  43. font-family: "Source Han Sans";
  44. background: none;
  45. display: flex;
  46. flex-direction: column;
  47. }
  48. .box .box-title {
  49. width: 100%;
  50. text-align: center;
  51. font-weight: 600;
  52. font-size: 38px;
  53. color: #fff;
  54. margin-top: 6px;
  55. }
  56. .box .box-body {
  57. margin: 10px 30px 40px;
  58. border: 2px solid #fff;
  59. border-radius: 5px;
  60. }
  61. .box .body-card {
  62. background: #e9f2fd;
  63. border-radius: 5px;
  64. padding: 10px;
  65. margin-bottom: 10px;
  66. display: flex;
  67. position: relative;
  68. }
  69. .btn {
  70. margin: 5px auto;
  71. padding: 8px 20px;
  72. background: #03AEBC;
  73. border-radius: 8px;
  74. color: #DAEDFF;
  75. font-size: 16px;
  76. }
  77. .btn.btn-small {
  78. font-size: 14px;
  79. padding: 3px 12px;
  80. border-radius: 4px;
  81. }
  82. .btn:hover {
  83. background-image: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1));
  84. border-color: rgba(0, 0, 0, 0.1);
  85. color: #DAEDFF;
  86. font-weight: 600;
  87. }
  88. .vb-btn {
  89. color: #176bbc;
  90. font-size: 14px;
  91. padding: 5px 10px;
  92. background-image: url("/Content/Image/ExerciseV2/btn.png");
  93. background-repeat: no-repeat;
  94. background-size: 100% 100%;
  95. font-weight: 600;
  96. }
  97. .vb-btn.active {
  98. color: #fff;
  99. background-image: url("/Content/Image/ExerciseV2/btn-active.png");
  100. }
  101. .form .form-control {
  102. background: var(--bgc);
  103. color: var(--tc);
  104. border-radius: 4px;
  105. border: 1px solid #b5cce2;
  106. font-size: 1rem;
  107. }
  108. .form .form-control:active, .form .form-control:focus {
  109. border: 1px solid var(--brc);
  110. }
  111. .select2-container {
  112. --h: 38px;
  113. font-size: 1rem;
  114. }
  115. .select2-container.select2-container--open .select2-selection--single {
  116. border-color: var(--brc);
  117. }
  118. .select2-container .select2-selection--single {
  119. border-radius: 4px !important;
  120. background: var(--bgc);
  121. border: 1px solid #b5cce2;
  122. height: var(--h);
  123. line-height: var(--h);
  124. color: var(--tc);
  125. padding: 0 15px;
  126. }
  127. .select2-container .select2-selection--single .select2-selection__rendered {
  128. color: inherit;
  129. margin: 0;
  130. padding: 0;
  131. line-height: var(--h);
  132. font-size: 1rem;
  133. }
  134. .select2-container .select2-selection--single .select2-selection__arrow {
  135. right: 8px;
  136. height: var(--h);
  137. }
  138. .select2-container .select2-dropdown {
  139. background: #fefefe;
  140. border: 1px solid #b5cce2;
  141. border-radius: 4px;
  142. margin-top: 2px;
  143. }
  144. .select2-container .select2-dropdown .select2-search {
  145. padding: 8px 10px;
  146. }
  147. .select2-container .select2-dropdown .select2-search .select2-search__field {
  148. border: 1px solid var(--brc);
  149. background: var(--bgc);
  150. color: var(--tc);
  151. border-radius: 4px;
  152. }
  153. .select2-container .select2-dropdown .select2-results .select2-results__option {
  154. color: var(--tc);
  155. }
  156. .select2-container .select2-dropdown .select2-results .select2-results__option.select2-results__option--highlighted {
  157. background: #e7edf4;
  158. }
  159. .select2-container .select2-dropdown .select2-results .select2-results__option.select2-results__option[aria-selected=true] {
  160. background: #ecf3fc;
  161. font-weight: 600;
  162. }
  163. .scene-box {
  164. display: flex;
  165. flex-wrap: wrap;
  166. margin-bottom: 5px;
  167. }
  168. .scene-box .scene {
  169. width: calc(25% - 16px);
  170. margin: 5px;
  171. padding: 8px 10px;
  172. display: flex;
  173. justify-content: center;
  174. align-items: center;
  175. cursor: pointer;
  176. }
  177. .scene-box .loading, .scene-box .end {
  178. display: flex;
  179. justify-content: center;
  180. align-items: center;
  181. font-size: 16px;
  182. height: 35px;
  183. width: 100%;
  184. /*border: 1px solid;*/
  185. border-radius: 5px;
  186. }
  187. .scene-box .loading {
  188. color: #03aebc;
  189. opacity: 0.5;
  190. }
  191. .scene-box .end {
  192. border: none;
  193. color: #dc3545;
  194. font-weight: 600;
  195. }
  196. .tip-box {
  197. width: 45%;
  198. display: none !important;
  199. padding: 0 !important;
  200. flex-direction: column;
  201. }
  202. .tip-box.show {
  203. display: flex !important;
  204. }
  205. .tip-box .tip-header {
  206. display: flex;
  207. justify-content: center;
  208. align-items: center;
  209. height: 35px;
  210. color: #fff;
  211. font-weight: 600;
  212. font-size: 14px;
  213. border-radius: 5px 5px 0 0;
  214. background: #007bff;
  215. box-shadow: inset 0px -2px 4px rgba(117, 185, 248, 0.52);
  216. }
  217. .tip-box .tip-body {
  218. width: 100%;
  219. height: calc(100% - 35px);
  220. display: flex;
  221. flex-direction: column;
  222. padding: 8px;
  223. overflow-y: auto;
  224. }
  225. .tip-box .tip-body .tip {
  226. border: 1px solid #03aebc;
  227. color: #03aebc;
  228. padding: 5px 8px;
  229. margin: 5px 0;
  230. border-radius: 5px;
  231. background: rgba(0, 0, 0, 0.03);
  232. white-space: normal;
  233. word-break: break-all;
  234. }
  235. .tip-box .tip-body .tip.active {
  236. border: 2px solid;
  237. font-weight: 600;
  238. }
  239. .tip-box .tip-body .loading {
  240. display: flex;
  241. justify-content: center;
  242. align-items: center;
  243. color: #03aebc;
  244. font-size: 14px;
  245. height: 100px;
  246. width: 100%;
  247. }
  248. .tip-box .tip-body .empty {
  249. display: flex;
  250. justify-content: center;
  251. align-items: center;
  252. width: 100%;
  253. height: 100px;
  254. font-size: 24px;
  255. letter-spacing: 5px;
  256. padding-left: 5px;
  257. color: #03aebc;
  258. }
  259. .box .body {
  260. padding: 10px;
  261. background: #d8e7f9;
  262. background: linear-gradient(174.54deg, rgba(204, 224, 248, 0.76) 0.23%, rgba(242, 249, 255, 0.76) 120.71%);
  263. display: flex;
  264. flex-direction: column;
  265. }
  266. .box .cmd-form {
  267. width: 100%;
  268. }
  269. .box .role-box {
  270. display: flex;
  271. /* .form-control, .select2-selection--single {
  272. border: none;
  273. }*/
  274. }
  275. .box .role-box > div {
  276. width: 100%;
  277. padding: 0;
  278. }
  279. .box .select-box, .box .input-box, .box .cmd-box {
  280. background: none;
  281. }
  282. .box .input-box {
  283. display: none;
  284. margin-left: 15px;
  285. }
  286. .box .cmd-box {
  287. position: relative;
  288. padding: 0;
  289. }
  290. .box .cmd-box .txt {
  291. padding: 10px;
  292. }
  293. .box .cmd-box .btn {
  294. position: absolute;
  295. right: 15px;
  296. bottom: 15px;
  297. margin: 5px auto;
  298. width: 150px;
  299. }
  300. .box .cmd-box .btn.close-tip {
  301. background: #007bff;
  302. }
  303. .box .cmd-box .help-box {
  304. position: absolute;
  305. left: 15px;
  306. bottom: 15px;
  307. width: 70%;
  308. }
  309. .box .box-body {
  310. position: relative;
  311. }
  312. .box .box-body .body {
  313. padding: 10px;
  314. background: #d8e7f9;
  315. background: linear-gradient(174.54deg, rgba(204, 224, 248, 0.76) 0.23%, rgba(242, 249, 255, 0.76) 120.71%);
  316. display: flex;
  317. flex-direction: column;
  318. }
  319. .box .box-body .body.log-cmd-box {
  320. display: block;
  321. }
  322. .box .box-body .body.txt-cmd-box {
  323. display: none;
  324. }
  325. .box .box-body .body.txt-cmd-box .btn {
  326. width: 150px;
  327. }
  328. .box .logs-box {
  329. width: 100%;
  330. display: flex;
  331. flex-direction: column;
  332. }
  333. .box .logs-box .log-box {
  334. display: flex;
  335. padding: 10px;
  336. background: rgba(255, 255, 255, 0.6);
  337. border-radius: 8px;
  338. margin: 5px 0;
  339. overflow: hidden;
  340. }
  341. .box .logs-box .log-box .content {
  342. width: 100%;
  343. display: flex;
  344. flex-direction: column;
  345. padding: 5px;
  346. padding-right: 15px;
  347. }
  348. .box .logs-box .log-box .content .title {
  349. display: flex;
  350. align-items: flex-start;
  351. }
  352. .box .logs-box .log-box .content .title .role {
  353. font-weight: 600;
  354. font-size: 16px;
  355. color: #094888;
  356. }
  357. .box .logs-box .log-box .content .title .scene-name {
  358. margin-left: 10px;
  359. font-size: 12px;
  360. padding: 1px 5px;
  361. border-radius: 3px;
  362. background: rgba(69, 133, 204, 0.1);
  363. border: 1px solid #094888;
  364. color: #094B88;
  365. }
  366. .box .logs-box .log-box .content .text {
  367. font-size: 14px;
  368. color: #36536D;
  369. padding-left: 15px;
  370. position: relative;
  371. }
  372. .box .logs-box .log-box .content .text:before {
  373. content: "";
  374. position: absolute;
  375. width: 8px;
  376. height: 8px;
  377. border-radius: 8px;
  378. left: 0;
  379. top: 50%;
  380. transform: translateY(-50%);
  381. background: #999;
  382. }
  383. .box .logs-box .log-box .btn-box {
  384. display: flex;
  385. justify-content: center;
  386. align-items: center;
  387. padding: 5px;
  388. }
  389. .box .logs-box .log-box .btn-box .btn {
  390. font-size: 14px;
  391. width: 90px;
  392. }
  393. .box .logs-box .log-box .btn-box .btn-edit {
  394. background: transparent;
  395. border: none;
  396. color: #094888;
  397. margin-right: 10px;
  398. }
  399. .box .logs-box .log-box .btn-box .btn-edit svg {
  400. width: 22px;
  401. fill: #36536D;
  402. margin-right: 5px;
  403. }
  404. .box .logs-box .log-box.send .title .role {
  405. color: #03AEBC;
  406. }
  407. .box .logs-box .log-box.send .text:before {
  408. background: #03AEBC;
  409. }
  410. .box .logs-box .log-box.send .btn {
  411. background: #36536D;
  412. color: #fff;
  413. }
  414. .box .logs-box .empty, .box .logs-box .end {
  415. width: 100%;
  416. height: 100%;
  417. display: flex;
  418. justify-content: center;
  419. align-items: center;
  420. font-size: 16px;
  421. opacity: 0.4;
  422. }
  423. .box .logs-box .empty {
  424. color: #36536D;
  425. }
  426. .box .logs-box .end {
  427. color: #dc3545;
  428. font-weight: 600;
  429. opacity: 0.8;
  430. }
  431. .box .btn.btn-cmd {
  432. background: #094B88;
  433. }
  434. .box .btn.btn-back {
  435. background: #094B88;
  436. }
  437. .question {
  438. display: none;
  439. }
  440. .question button {
  441. --w: 80px;
  442. width: var(--w);
  443. height: var(--w);
  444. border-radius: var(--w);
  445. position: absolute;
  446. left: 50%;
  447. top: 50%;
  448. transform: translateX(-50%) translateY(-50%);
  449. z-index: 5;
  450. color: #fff;
  451. border: none;
  452. outline: none;
  453. }
  454. .question button:hover {
  455. background-color: #bd2130;
  456. }
  457. .question button i {
  458. font-size: 40px;
  459. }
  460. .question button:not(:hover) {
  461. animation: 1s shine ease-in-out infinite;
  462. }
  463. .question button:not(:hover) i {
  464. animation: 1s flashing ease-in-out infinite;
  465. }
  466. .question-text {
  467. font-size: 16px;
  468. margin-bottom: 10px;
  469. font-weight: 600;
  470. color: var(--mc);
  471. }
  472. @keyframes shine {
  473. 0% {
  474. filter: drop-shadow(0 0 12px #dc3545);
  475. }
  476. 50% {
  477. filter: drop-shadow(0 0 12px #bd2130);
  478. }
  479. 100% {
  480. filter: drop-shadow(0 0 12px #dc3545);
  481. }
  482. }
  483. @keyframes flashing {
  484. 0% {
  485. opacity: 1;
  486. transform: scale(1);
  487. }
  488. 50% {
  489. opacity: 0.5;
  490. transform: scale(0.9);
  491. }
  492. 100% {
  493. opacity: 1;
  494. transform: scale(1);
  495. }
  496. }